defmodule Integral.MixProject do
  use Mix.Project

  def project do
    [
      app: :integral,
      version: "0.1.0",
      elixir: "~> 1.10",
      start_permanent: Mix.env() == :prod,
      deps: deps(),
      description: description(),
      package: package(),
      name: "Monte Carlo and Simpson method",
      source_url: "https://github.com/wyder110/integral.git"
    ]
  end

  # Run "mix help compile.app" to learn about applications.
  def application do
    [
      extra_applications: [:logger]
    ]
  end

  # Run "mix help deps" to learn about dependencies.
  defp deps do
    [
      {:ex_doc, "~> 0.22.1", only: :dev, runtime: false}
      # {:dep_from_hexpm, "~> 0.3.0"},
      # {:dep_from_git, git: "https://github.com/elixir-lang/my_dep.git", tag: "0.1.0"}
    ]
  end

  defp description() do
    "Implementation of Monte Carlo, and Simpson method in elixir"
  end

  defp package() do
    [
      name: :monte_carlo_simpson_method,
      licenses: [],
      links: %{"GitHub" => "https://github.com/wyder110/integral.git"}
    ]
  end


end
